REST APIWallet & TransactWallet

DEL

Release unspents from reservation to be accessible for transactions.

Path Params

  • walletId string required
    The wallet ID.

    matches ^[0-9a-f]{32}$

Query Params

  • id array of strings required

Responses

200
OK

Response Body

object

  • unspents array of objects
    unspents object
    • id string required
      The id of the unspent in the form :<tx_index>
    • walletId string required

      matches ^[0-9a-f]{32}$

    • expireTime string date-time required
    • userId string required

      matches ^[0-9a-f]{32}$

400
Bad Request

Response Body

object

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code